# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

Summary:	The PHP Manual in the English language
Name:		php-manual-en
Version:	7.2.11
Release:	%mkrel 3
Group:		Documentation
License:	PHP License
URL:		http://www.php.net/download-docs.php
Source:		http://fr2.php.net/distributions/manual/php_manual_en.tar.gz
Requires:       php-webinterface
BuildArch:	noarch

%description
The PHP Manual in the English (en) language.

%prep

%setup -q -c -n php_manual_en

# fix perms
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# clean up cvs junk
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%install
install -d %{buildroot}%{_docdir}/%{name}
cp -aRf php-chunked-xhtml/* %{buildroot}%{_docdir}/%{name}/

install -d %{buildroot}%{webappconfdir}
cat > %{buildroot}%{webappconfdir}/%{name}.conf << EOF
Alias /%{name} %{_docdir}/%{name}

<Directory %{_docdir}/%{name}>
%if %{mgaversion} < 3
    Order Allow,Deny
    Allow from All
%endif
%if %{mgaversion} >= 3
    Require all granted
%endif
</Directory>
EOF

install -d %{buildroot}%{_sysconfdir}/php.d
cat > %{buildroot}%{_sysconfdir}/php.d/%{name}.ini << EOF
docref_root = /%{name}/
docref_ext = .html
EOF

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=The PHP %{version} HTML manual in English
Comment=The PHP %{version} HTML manual in English
Exec=%{_bindir}/www-browser %{_docdir}/%{name}/index.html
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Documentation;
EOF

%files
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%config(noreplace) %{webappconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/php.d/%{name}.ini
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Jul 22 2020 mokraemer <mokraemer> 7.2.11-3.mga8
+ Revision: 1607880
- resolve mod_php conflict

* Fri Feb 14 2020 umeabot <umeabot> 7.2.11-2.mga8
+ Revision: 1519970
- Mageia 8 Mass Rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 7.2.11-1.mga7
+ Revision: 1326041
- new version 7.2.11

* Thu Sep 20 2018 umeabot <umeabot> 7.1.12-2.mga7
+ Revision: 1287653
- Mageia 7 Mass Rebuild

* Wed Nov 29 2017 mokraemer <mokraemer> 7.1.12-1.mga7
+ Revision: 1180312
- new version

* Fri Jan 29 2016 umeabot <umeabot> 5.5.7-2.mga6
+ Revision: 928736
- Mageia 6 Mass Rebuild

* Mon Dec 16 2013 oden <oden> 5.5.7-1.mga5
+ Revision: 557925
- 5.5.7

* Sat Nov 23 2013 oden <oden> 5.5.6-1.mga4
+ Revision: 552496
- new manual
- 5.5.3
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 oden <oden> 5.4.11-1.mga3
+ Revision: 391739
- new html manual
- fix the apache config

* Sun Jan 13 2013 umeabot <umeabot> 5.4.8-2.mga3
+ Revision: 375828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 fwang <fwang> 5.4.8-1.mga3
+ Revision: 316360
- new version 5.4.8

* Wed Sep 12 2012 oden <oden> 5.4.6-1.mga3
+ Revision: 292873
- 5.4.6

* Sun Jul 29 2012 spuhler <spuhler> 5.4.5-1.mga3
+ Revision: 275549
- update to 5.4.5

* Sat Jan 21 2012 spuhler <spuhler> 5.3.9-1.mga2
+ Revision: 199204
- upgrade to 5.3.9

* Thu Dec 22 2011 spuhler <spuhler> 5.3.5-1.mga2
+ Revision: 185611
+ rebuild (emptylog)

* Sun Feb 06 2011 spuhler <spuhler> 5.3.5-1.mga1
+ Revision: 48060
- removed buildroot definition from .spec
- imported package php-manual-en

